Configure the default styling to have a bit bigger font size
Closed, InvalidPublic

Description

Upstream at https://secure.phabricator.com/T8103 merged into https://secure.phabricator.com/T4213

I'm very sorry to say that but the whole thing looks like my browser is accidentally zoomed out to 60% or something like that. I still belief that the actual written words are the most important thing in everything we do, may it be an encyclopedia or an issue tracker. Reading these words is the number 1 task. I don't want everybody who visits our issue tracker to search for her/his glasses or fiddle with the zoom before she/he can start contributing.

A comment below notes: Phabricator's font-size does NOT depend on the configured default font size in your browser. it should.

See also T109: Phabricator is unfriendly to assistive technology

Details

Reference
fl141
flimport raised the priority of this task from to Low.
flimport set Reference to fl141.

jdforrester wrote on 2014-05-10 15:24:31 (UTC)

The font sizes for this Phabricator and Bugzilla compared:

Summary: Both are 13px, but monospaced fonts look bigger.

qgil wrote on 2014-05-10 21:19:31 (UTC)

More body text sizes:

  • Gerrit: sans-serif 13px
  • Trello: sans-serif 14px
  • Mingle: sans-serif 14px
  • Facebook: sans-serif 14px
  • Twitter: sans-serif 14px
  • Stack Overflow: sans-serif 14px
  • MediaWiki: sans-serif 16px

aklapper wrote on 2014-05-16 23:07:09 (UTC)

I don't see an issue to fix here (Phab uses the same font size as Gerrit and Bugzilla) and I propose WONTFIX.

I don't know about other browsers, but Firefox remembers your prefered zoom level per website, and for quite some websites where I don't like the font size choice I just use a higher zoom level in my browser. Hence you only have to fiddle once with the zoom.

(Furthermore, zooming in Phabricator Maniphest does not create any UI issues and Phabricator uses responsive design ("responsive" in the meaning explained in http://liquidapsive.com/ ) which also works on small screens.)

aklapper wrote on 2014-05-16 23:08:44 (UTC)

Removed from "Phab day 1" project as this is only a blocker to using Phabricator if you don't know that you can zoom in your browser.

flimport added a subscriber: Qgil.Oct 2 2014, 9:47 PM
flimport added a subscriber: scfc.Oct 7 2014, 3:00 AM

I have good eyesight but I see no harm in increasing the font size here.

qgil wrote on 2014-05-10 21:19:31 (UTC)
[...]

  • MediaWiki: sans-serif 16px

MediaWiki (et al) renders as 14px though, because of the 0.875em that's applied to the base of 16.

Bumping Phab's to 14px would be good.

Qgil raised the priority of this task from Low to Normal.Oct 29 2014, 7:31 AM
Qgil lowered the priority of this task from Normal to Low.Nov 7 2014, 9:56 AM

MediaWiki's font-size depends on the configured default font size in your browser. Phabricator's doesn't. That's a bug.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 27 2014, 12:00 PM
Quiddity updated the task description. (Show Details)Nov 28 2014, 6:51 AM
Quiddity set Security to None.
In T81#783682, @adrianlang wrote:

MediaWiki's font-size depends on the configured default font size in your browser. Phabricator's doesn't. That's a bug.

I'm happy to report this problem upstream. Could someone point me to a doc or a piece of code where the good practice is explained? Of course, a patch would be even better.

Answer still welcome:

Could someone point me to a doc or a piece of code where the good practice is explained? Of course, a patch would be even better.

Quiddity added a comment.EditedJan 2 2015, 9:44 PM

It's best to use em or %, instead of px, to define font-sizes. This allows users who have increased their "base font size" (default 16px in most browsers) to see larger text, without having to zoom-in manually (which increases the size of images and other page-layout elements, often with a very detrimental effect (such as requiring horizontal scrolling)).

http://www.w3.org/QA/Tips/font-size

As a base font size for a document, 1em (or 100%) is equivalent to setting the font size to the user's preference.
Do not specify the font-size in pt, or other absolute length units for screen stylesheets. They render inconsistently across platforms and can't be resized by the User Agent (e.g browser).

http://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-scale.html

The author's responsibility is to create Web content that does not prevent the user agent from scaling the content effectively.

more at:
http://alistapart.com/article/howtosizetextincss
http://www.sitepoint.com/css-font-sizing-tutorial/#textpagezoom
http://snook.ca/archives/html_and_css/font-size-with-rem


Unitless line-heights are recommended at:
https://developer.mozilla.org/en-US/docs/Web/CSS/line-height#Prefer_unitless_numbers_for_line-height_values


Specifically, there are many options.

Long-term, it would be good to change

body { font:13px/1.231

to

body { font:100%

and then adapt everything else from there...

Short-term/bandage, adding something like this would help a lot.

.phabricator-remarkup (font-size: 110%}

(That will get the main comment text up to 14px).

Qgil lowered the priority of this task from Low to Lowest.Jan 16 2015, 10:22 AM

@Quiddity, how do you feel about pushing for this request upstream? To be honest, I have no clue about font sizes (what is good, etc) and I'm personally happy with the current setup, and both factors are deterring me from filing the request myself and fight for it.

Quiddity updated the task description. (Show Details)May 6 2015, 10:53 PM
Aklapper updated the task description. (Show Details)May 21 2015, 2:24 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM
thiemowmde closed this task as Invalid.Feb 27 2018, 5:13 PM

Unfortunately I did not uploaded a screenshot back then. From todays perspective I can not tell and more what exactly my issue was, and how a solution could have looked like. Since not much happened here for about 3 years, this got reported and somehow dealt with upstream, and I personally got used to it, I'm going to close my own report to clean up our backlogs.